package outputter

import (
	"fmt"
	"log"
)

func (outputter *Outputter) Printf(format string, args ...any) {
	switch outputter.OutputType {
	case "short":
		fmt.Printf(format, args...)
	case "long":
		log.Printf(format, args...)
	case "silent":
		// Do nothing
	}
}
